# -*- coding: UTF-8 -*-

import os
import sys

from .model import *
from .plot import *
from .data import *
from .util import *

os.environ['OPENBLAS_NUM_THREADS'] = '1'
sys.setrecursionlimit(1000)

__version__ = f"{project_name}: v{project_version}"
__cache__ = project_cache_path

__all__ = [
    "read_sc_atac_10x_h5",
    "read_sc_atac",
    "read_variants",
    "read_h5ad",
    "save_h5ad",
    "read_h5",
    "save_h5",
    "to_meta",
    "to_fragments",
    "merge_sc_atac",
    "sigmoid",
    "tf_idf",
    "adjustment_tf_idf",
    "z_score_normalize",
    "z_score_marginal",
    "marginal_normalize",
    "min_max_norm",
    "symmetric_scale",
    "mean_symmetric_scale",
    "is_asc_sort",
    "lsi",
    "pca",
    "laplacian_eigenmaps",
    "sample_data",
    "semi_mutual_knn_weight",
    "k_means",
    "spectral_clustering",
    "tsne_data",
    "umap_data",
    "kl_divergence",
    "calinski_harabasz",
    "silhouette",
    "davies_bouldin",
    "ari",
    "ami",
    "f1_auc",
    "RandomWalk",
    "adata_group",
    "adata_map_df",
    "euclidean_distances",
    "filter_data",
    "overlap",
    "overlap_sum",
    "group_heatmap",
    "map_df_plot",
    "rate_bar_plot",
    "calculate_init_score",
    "calculate_init_score_weight",
    "trait_related_cell_score",
    "poisson_vi",
    "trs_plot",
    "init_score_plot",
    "cell_cell_plot",
    "data_plot",
    "core",
    "graph",
    "communities_graph",
    "heatmap",
    "heatmap_annotation",
    "scatter_base",
    "scatter_atac",
    "scatter_trait",
    "violin_base",
    "violin_trait",
    "barcode_base",
    "barcode_trait",
    "box_base",
    "box_trait",
    "bar_significance",
    "bar",
    "pie_trait",
    "two_bar",
    "kde",
    "stability_line",
    "class_bar",
    "bar_trait",
    "bubble",
    "project_version",
    "project_name",
    "project_cache_path",
    "path",
    "plot_color_types",
    "check_adata_get",
    "sparse_array",
    "sparse_matrix",
    "sparse_data",
    "dense_data",
    "matrix_data",
    "number",
    "plot_cmap_20",
    "plot_cmap_50",
    "plot_cmap_set",
    "type_set_colors",
    "get_real_predict_label",
    "to_dense",
    "to_sparse",
    "list_duplicate_set",
    "chrtype",
    "type_50_colors",
    "type_20_colors",
    "sum_min_max",
    "numerical_bisection_step",
    "split_matrix",
    "merge_matrix",
    "collection",
    "list_index",
    "strings_map_numbers",
    "get_index",
    "set_colors"
]
