# -*- coding: UTF-8 -*-

from anndata import AnnData
from ykenan_log import Logger

from ._matrix_ import to_dense

log = Logger("scLift_util_check")


def check_adata_get(adata: AnnData, layer: str = None) -> AnnData:
    # judge input data
    if adata.shape[0] == 0:
        log.warn("Input data is empty")
        raise ValueError("Input data is empty")

    # get data
    data: AnnData = adata.copy()

    # judge layers
    if layer is not None:
        if layer not in list(data.layers):
            log.error("The `layer` parameter needs to include in `adata.layers`")
            raise ValueError("The `layer` parameter needs to include in `adata.layers`")
        data.X = to_dense(data.layers[layer], is_array=True)
    else:
        data.X = to_dense(data.X, is_array=True)

    return data
